User Tools

Site Tools


blog:dreitafelbild_fuer_geschnittene_pyramide

Dreitafelbild für geschnittene Pyramide

Dreitafelbild eines Pyramidenschnitts ~~CL~~ Die Zeichnungen zu den Modellen … ~~CL~~ ~~CL~~ Das Video zeigt, wie man ein solches Modell und die dazu gehörigen Zeichnungsobjekte erstellen kann. Beim Ändern des Schnittes werden die Zeichnungen automatisch aktualisiert.

Das Makro zum Erzeugen der drei Ansichten

import FreeCAD,Draft

# das darzustellende Objekt ..
obj=FreeCAD.ActiveDocument.Cut

# Ansicht Front
an=Draft.makeShape2DView(obj)
an.Projection = (0.00, -1.00, 0.00)
an.Placement = App.Placement(App.Vector(0,0,0),App.Rotation(App.Vector(0,0,-1),90))


# Top
an2=Draft.makeShape2DView(obj)
an2.Projection = ( 0.00, 0.00, 1.00)
an2.Placement = App.Placement(App.Vector(0,-40,0),App.Rotation(App.Vector(0,0,1),0))

# Seite
an3=Draft.makeShape2DView(obj)
an3.Projection = (-1.00, 0.00, 0.00)
an3.Placement = App.Placement(App.Vector(80,0,0),App.Rotation(App.Vector(0,0,-1),90))

Mit der Funktion Draft.makeShape2DView kann man beliebige Parallelprojektionen eines Objektes in die xy-Ebene erzeugen. In diesem Beispiel sind es die drei grundlegenden Ansichten der Dreitafelprojektion. Es ist aber auch möglich, “schräg” liegende Flächen zu projizieren, wie sie bei Abwicklungen benötigt werden. Die Idee besteht darin, den geeigneten Projektionsvektor zu finden. Es ist der Normalvektor auf die Fläche, die man in wahrer Größe dargestellt haben möchte.

Mit der Funktion OpenSCAD → Replace Object kann man starke Änderungen am Modell vornehmen, die Zeichnungen werden ohne extra Aufwand automatisch angepasst. ~~DISCUSSION~~

blog/dreitafelbild_fuer_geschnittene_pyramide.txt · Last modified: 2015/01/29 19:41 by freek